Delete transaction
Delete the transaction transaction_id on account account_id linked to bank connection bank_connection_id for consumer consumer_id.
DELETE
/
consumers
/
{consumer_id}
/
transactions
/
{transaction_id}
Delete transaction
curl --request DELETE \
--url https://api-{programRef}.sandbox.paylead.tech/consumers/{consumer_id}/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-{programRef}.sandbox.paylead.tech/consumers/{consumer_id}/transactions/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-{programRef}.sandbox.paylead.tech/consumers/{consumer_id}/transactions/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{}
],
"instance": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{}
],
"instance": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{}
],
"instance": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{}
],
"instance": "<string>"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{}
],
"instance": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
UUID of the transaction or Unique ID of the transaction that you have registered when the transaction was created.
Unique ID of the consumer that you have registered when the user was onboarded.
Required string length:
2 - 100Response
Successful Response
Was this page helpful?
⌘I
Delete transaction
